<?php
	/************************************************************************************
	*						UTILISATION DU SYSTEME DE CACHE								*
	************************************************************************************/
	
	// On appelle le fichier contenant la classe
	require 'class/cache.php';
	
	// On instancie un nouvel objet cache et on lui passe en paramtre le nom de la page
	// Ce nom doit tre unique pour chaque page car il va gnrer un fichier du mme nom
	$cache = new Cache("index"); 
	
	// Si le cache est  jour la methode cacheView l'affiche et le reste du code est ignor
	$cache->cacheView();
	
	// la mthode tamponStart, enregistrera tout ce qui suit en mmoire tampon
	$cache->tamponStart();
	
		// Ici on affiche le code de la page, vos requtes SQL etc ... =)
		echo "ouais gros !\n";
	
	// La page est finit on enregistre tout le contenu qu'elle gnre et on l'enregistre
	$cache->tamponEnd();
	
	echo 'Version Sans Cache !';
?>